LazyPutter Class Reference

Helper class to finalize Puts on ByteQueue. More...

`#include <queue.h>`

Inheritance diagram for LazyPutter:

## Public Member Functions

| LazyPutter (ByteQueue &bq, const byte *inString, size_t size)
| Construct a LazyPutter.

## Detailed Description

Helper class to finalize Puts on ByteQueue.

LazyPutter ensures LazyPut is committed to the ByteQueue in event of exception. During destruction, the LazyPutter class calls FinalizeLazyPut.

Definition at line 218 of file queue.h.

## Constructor & Destructor Documentation

## ~LazyPutter()

virtual LazyPutter::~LazyPutter | ( |  | ) |

inline virtual

Definition at line 221 of file queue.h.

## LazyPutter()

LazyPutter::LazyPutter | ( | ByteQueue & | bq,
|  | const byte * | inString,
|  | size_t | size )

inline

Construct a LazyPutter.

Parameters

  bq | the ByteQueue
  inString | a byte array to insert
  size | the length of the byte array

LazyPutter ensures LazyPut is committed to the ByteQueue in event of exception. During destruction, the LazyPutter class calls FinalizeLazyPut.

Definition at line 233 of file queue.h.

The documentation for this class was generated from the following file:

- queue.h